Skip to main content
GET
Polymarket Top Trades
Plan: included in every plan, from Hobbyist up. See Plans and data access.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string<date>

Date, formatted as YYYYMMDD

include_sports_markets
boolean

Include trades on sports markets in the results (excluded by default)

page
integer

Page number

page_size
integer

Items / page

proxy_wallet
string

Filter to trades from this trader's wallet address

slug
string

Filter to trades on the Polymarket market with this slug

sort_by
string

Sort results by: trade_time or estimated_amount

sort_order
string

Sort direction: asc or desc

Response

200 - application/json
proxy_wallet
string
required

Wallet address that placed the trade

side
string
required

BUY or SELL

asset
string
required

Polymarket asset (outcome token) id

condition_id
string
required

Polymarket market condition id

size
number
required

Number of shares traded

price
number
required

Price per share at execution

title
string
required

Market title

slug
string
required

Market slug

event_slug
string
required

Event slug the market belongs to

outcome
string
required

Outcome name traded

outcome_index
integer
required

Index of the outcome traded

transaction_hash
string
required

On-chain transaction hash

estimated_amount
number
required

Estimated USD value of the trade

trade_time
string<date-time>
required

Trade execution time

uploaded
string<date-time>
required

Time the trade was uploaded by Quiver

name
string

Trader's display name

user_first_activity
string<date-time>

Time of the trader's first recorded activity

user_position_rank
integer

Trader's rank by current position value

user_position_current_val
number

Trader's current position value (USD)

user_positions_value
number

Total value (USD) of all of the trader's positions

user_markets_traded
integer

Number of distinct markets the trader has traded

sports_market_type
string

Sports bet type (e.g. moneyline, spreads, totals); null for non-sports markets

slug_volume
number

Total traded volume (USD) for the market